require "LWtalking"
require "LWzombieJokes"

LWresponses = {}

-------------------------------------------------------------------------------------------------------------------
-- LWConversation system - WIP ---

LWconversationLine = {}
LWconversationLine.__index = LWconversationLine

-- Multiple lines / monologue?
function LWconversationLine:new(line, notDone, LWresponses) -- :: String -> [LWconversationLine] -> LWconversationLine
	o.line = line
	o.notDone = notDone or false -- responses now function as the next line for speaker. (Monologue/ extended dialogue)  
	o.LWresponses = LWresponses or {}
	setmetatable(o, self)

	return o
end

function LWconversationLine:getResponse() 
	return pickRandom(self.LWresponses)
end

--local joke = LWconversationLine:new("What is the safest place to be in a zombie apocalypse?")
--table.insert(joke.LWresponses, LWconversationLine:new("The living room"))